Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - android-studio-canary

Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: android-studio-canary 2.3.0.5-1

Git Clone URL: https://aur-dev.archlinux.org/android-studio-canary.git (read-only)
Package Base: android-studio-canary
Description: The Official Android IDE. Canary branch
Upstream URL: http://developer.android.com/sdk/installing/studio.html
Keywords: android development
Licenses: Apache
Submitter: danyf90
Maintainer: tilal6991 (Vanpra, tad)
Last Packager: tad
Votes: 31
Popularity: 0.333499
First Submitted: 2014-01-09 10:27
Last Updated: 2017-01-26 18:51

Latest Comments

1 2 3 4 5 6 Next › Last »

tad commented on 2016-12-11 21:55

@martin.mauch That would be the AUR git repo, not something we control.

martin.mauch commented on 2016-12-08 09:31

It looks like the git repo is currently broken:

pacaur -S android-studio-canary [10:28:04]
:: Package(s) android-studio-canary not found in repositories, trying AUR...
:: resolving dependencies...
:: looking for inter-conflicts...

AUR Packages (1) android-studio-canary-2.3.0.1-1

:: Proceed with installation? [Y/n]

:: Retrieving package(s)...
Cloning into 'android-studio-canary'...
fatal: unable to access 'https://aur.archlinux.org/android-studio-canary.git/': The requested URL returned error: 502
/usr/bin/pacaur: line 816: cd: /home/martin/.cache/pacaur/android-studio-canary: No such file or directory

Sc4ryb3ar commented on 2016-10-27 19:36

@tad thank you for that confirmation :)

tad commented on 2016-10-27 18:08

@Sc4ryb3ar: Uninstalling/reinstalling is a non-destructive process, since all configuration is stored in your home directory. You should be able to uninstall the package and remove /opt/android-studio-canary, then install this package and retain all of your settings.

Sc4ryb3ar commented on 2016-10-27 18:05

I have had the canary channel installed on my system via AUR for a while now. When AS-canary updated from 2.2.1 -> 2.2.2 the app itself offered for me to update (instead of through AUR). So, I did, why not...??.... Now AUR is telling me that I am still on 2.2.1-1 and I need to update to 2.2.2-1. However when I go to update via pamac, the update fails with this error: failed to commit transaction (conflicting files). This is not at all surprising to me, but I would like to "fix" my install. how do I do that without uninstalling and reinstalling?

evana commented on 2016-08-16 05:24

2.2 Beta changes the WM class and requires this change for window grouping to work correctly.

https://github.com/evan-a-a/android-studio-canary/commit/22c4fc2e3c513f45caeec78231000912086fa572

tad commented on 2016-08-15 03:36

Tip: You don't need the .install file as pacman hooks will handle updating the desktop db now.

tilal6991 commented on 2016-08-15 02:46

Updated the package for 2.2 Beta + tad@'s changes to install side by side.

pepo900 commented on 2016-08-14 14:31

2.2 Beta is Available. Any chance of updating the package? Thanks!

tad commented on 2016-08-10 05:43

I rewrote the package to support 2.2 Beta and its bundled JVM. It can also be installed and run alongside the -beta, -dev, or stable packages.

https://github.com/tadfisher/arch-android-studio-canary/tree/2.2.0b1